"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useYup = void 0;
const useYup = (schema, selectorFn = (req) => req.body) => {
    return (req, res, next) => {
        schema.validate(selectorFn(req), { abortEarly: false }).then((data) => {
            req.yupData = data;
            next();
        }).catch((e) => {
            next(e);
        });
    };
};
exports.useYup = useYup;
